/* $Id: paint.c,v 1.1 1994/12/24 13:57:35 JACK Exp $ */

#include <graph.h>
#include <sys/iocs.h>

#ifndef WORKSIZE
#define WORKSIZE 4096
#endif

#define ARRAYSIZE (WORKSIZE / sizeof (work_t))

typedef unsigned char work_t;

void
paint (int x, int y, int color)
{
  struct _paintptr paintbuf;
  work_t workbuf[ARRAYSIZE];

  paintbuf.x = x;
  paintbuf.y = y;
  paintbuf.color = color;
  paintbuf.buf_start = workbuf;
  paintbuf.buf_end = workbuf + ARRAYSIZE;

  (void) _iocs_paint (&paintbuf);
}
