/* $Id: symbol.c,v 1.1 1994/12/24 13:59:11 JACK Exp $ */

#include <graph.h>
#include <sys/iocs.h>

void
symbol (int x1, int y1, const char *string_address, char mag_x, char mag_y,
		int font_type, int color, int angle)
{
  struct _symbolptr symbolbuf;

  if (font_type < 0 || font_type > 2 || angle < 0 || angle > 3)
	return;

  symbolbuf.x1 = x1;
  symbolbuf.y1 = y1;
  symbolbuf.string_address = (unsigned char *) string_address;
  symbolbuf.mag_x = mag_x;
  symbolbuf.mag_y = mag_y;
  symbolbuf.color = color;
  symbolbuf.font_type = font_type;
  symbolbuf.angle = angle;

  (void) _iocs_symbol (&symbolbuf);
}
