/* $Id: stick.c,v 1.1 1994/12/24 15:04:58 JACK Exp $ */

#include <stick.h>
#include <sys/iocs.h>

#define SUP(n) (((n) & (1 << 0)) ? 3 : 0)
#define SDOWN(n) (((n) & (1 << 1)) ? -3 : 0)
#define SLEFT(n) (((n) & (1 << 2)) ? -1 : 0)
#define SRIGHT(n) (((n) & (1 << 3)) ? 1 : 0)
#define SS(n) (5 + SUP(n) + SDOWN(n) + SLEFT(n) + SRIGHT(n))

static char joy_table[16] =
{
  0,
  SS (1), SS (2), SS (3), SS (4), SS (5), SS (6), SS (7), SS (8),
  SS (9), SS (10), SS (11), SS (12), SS (13), SS (14), SS (15),
};

int
stick (int no)
{
  int status;

  no--;
  if (no < 0 || no > 1)
	return -1;

  status = _iocs_joyget (no);
  status = joy_table[(~status & 0x0000000f)];

  return status;
}
